package com.ssj.framework.weixin.util;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


public class UserInfo implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 4709140133261460405L;
	@ApiModelProperty(name="nickName" ,value="用户昵称",required=true)
	private String nickName;
	@ApiModelProperty(name="avatarUrl" ,value="用户头像",required=true)
	private String avatarUrl;
	@ApiModelProperty(name="gender" ,value="用户性别",required=true)
	private String gender;
	@ApiModelProperty(name="province" ,value="用户所在省份",required=true)
	private String province;
	@ApiModelProperty(name="city" ,value="用户所在城市",required=true)
	private String city;
	@ApiModelProperty(name="country" ,value="用户所在国家",required=true)
	private String country;
	@ApiModelProperty(name="language" ,value="语言",required=true)
	private String language;
	/**
	 * 使用 sha1( rawData + sessionkey ) 得到字符串，用于校验用户信息，参考文档 signature。
	 */
	@ApiModelProperty(name="signature" ,value="字符串",required=true)
	private String signature;
	/**
	 * 	包括敏感数据在内的完整用户信息的加密数据，详细见加密数据解密算法
	 */
	@ApiModelProperty(name="encryptedData" ,value="包括敏感数据在内的完整用户信息的加密数据",required=true)
	private String encryptedData;
	/**
	 * 	加密算法的初始向量，详细见加密数据解密算法
	 */
	@ApiModelProperty(name="iv" ,value="加密算法的初始向量",required=true)
	private String iv;
	/**
	 * unionId
	 */
	private String unionId;
	private String openId;
	
	public String getNickName() {
		return nickName;
	}
	public void setNickName(String nickName) {
		this.nickName = nickName;
	}
	public String getAvatarUrl() {
		return avatarUrl;
	}
	public void setAvatarUrl(String avatarUrl) {
		this.avatarUrl = avatarUrl;
	}
	public String getGender() {
		return gender;
	}
	public void setGender(String gender) {
		this.gender = gender;
	}
	public String getProvince() {
		return province;
	}
	public void setProvince(String province) {
		this.province = province;
	}
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getCountry() {
		return country;
	}
	public void setCountry(String country) {
		this.country = country;
	}
	public String getLanguage() {
		return language;
	}
	public void setLanguage(String language) {
		this.language = language;
	}
	public String getSignature() {
		return signature;
	}
	public void setSignature(String signature) {
		this.signature = signature;
	}
	public String getEncryptedData() {
		return encryptedData;
	}
	public void setEncryptedData(String encryptedData) {
		this.encryptedData = encryptedData;
	}
	public String getIv() {
		return iv;
	}
	public void setIv(String iv) {
		this.iv = iv;
	}
	public String getUnionId() {
		return unionId;
	}
	public void setUnionId(String unionId) {
		this.unionId = unionId;
	}
	public String getOpenId() {
		return openId;
	}
	public void setOpenId(String openId) {
		this.openId = openId;
	}
	
	
}
